body,
html {
  margin: 0px;
  padding: 0px;
  background-color: #f6f7f8;
  font-family: "Inter";
  justify-content: center;
  display: flex;
  
}

/* Logo/Sign Up (Button, Text)*/
.signUp-Ctn,
.signUp-Ctn2 {
  display: flex;
  align-items: center;
  width: 300px;
  height: 50px;
  margin-top: 67px;
  margin-left: 862px;
  gap: 35px;
  opacity: 0px;
}

.signUp-Ctn span {
  display: flex;
  font-size: 20px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  color: rgba(0, 0, 0, 1);
}

.signUp-button {
  cursor: pointer;
  background-color: #2a3647;
  border-radius: 8px;
  border: 0px;
  height: 49px;
  padding: 15px 16px 15px 16px;
  gap: 10px;
  border-radius: 8px;
  color: #ffffff;
  font-size: 16px;
}

.signUp-button:hover {
  transition: 0.1s ease-in-out;
  background-color: rgba(41, 171, 226, 1);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
/* Logo/Sign Up (Button, Text)*/
.form-Ctn {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 652px;
  height: 493px;
  margin-top: 63.53px;
  margin-left: 394px;
  border-radius: 30px;
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0px 0px 14px 3px rgba(0, 0, 0, 0.04);
}

.LogIn-Ctn {
  width: 315px;
  height: 73px;
  text-align: center;
  gap: 16px;
}

h1 {
  font-size: 61px;
  font-weight: 700;
  line-height: 73.2px;
  text-align: center;
  gap: 16px;
  margin-bottom: 16px;
}

.underline-Ctn {
  border: 2px solid rgba(41, 171, 226, 1);
  margin-right: 80.5px;
  margin-left: 80.5px;
}
/* Input-Field*/
.CtnInput {
  margin-top: 100px;
  display: flex;
  flex-direction: column;
  width: 422px;
  height: 196px;
  opacity: 0px;
}

.input-Ctn,
.input-Ctn2 {
  display: flex;
  justify-content: center;
  width: 422px;
  height: 48px;
  font-size: 20px;
  line-height: 24px;
  border: 1px solid rgba(209, 209, 209, 1);
  border-radius: 10px;
  flex-direction: row;
  align-items: center;
  gap: 26px;
}

.input-Ctn img,
.input-Ctn2 img
 {
  width: 24px;
  height: 24px;
  margin-right: 25px;
}

.input-Ctn:hover,
.input-Ctn2:hover {
  border-color: rgba(41, 171, 226, 1);
  cursor: pointer;
}

.input {
  width: 356px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  font-size: 20px;
  outline: none;
  margin-left: 15px;
}

.input:hover .remember-Ctn img {
  cursor: pointer;
}

::placeholder {
  font-size: 20px;
  line-height: 24px;
  font-weight: 400;
  color: rgba(209, 209, 209, 1);
  padding: 12px 12px;
}

.form {
  width: 422px;
  display: flex;
  flex-direction: column;
  gap: 26px;
}

.remember-Ctn {
  display: flex;
  justify-content: start;
  flex-direction: row;
  align-items: center;
  margin-left: 26px;
  gap: 10px;
}

.remember-Ctn p {
  font-weight: 400;
  font-size: 16px;
  line-height: 19.2px;
}

/* Button sign In/ Guest Log In*/
.signupBtnCtn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.logBtn {
  width: 110px;
  height: 48px;
  border-radius: 8px;
  background-color: rgba(42, 54, 71, 1);
  font-size: 21px;
  line-height: 25.2px;
  font-weight: 700;
  color: rgba(255, 255, 255, 1);
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  text-decoration: none;
}

.logBtn:hover,
.SignUpButton:hover {
  transition: 0.1s ease-in-out;
  background-color: rgba(41, 171, 226, 1);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  cursor: pointer;
}

.guestBtn {
  width: 177px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  border: 1px solid rgba(42, 54, 71, 1);
  color: rgba(42, 54, 71, 1);
  background-color: rgba(255, 255, 255, 1);
  font-size: 21px;
  line-height: 25.2px;
  font-weight: 700;
  text-decoration: none;
}

.guestBtn:hover {
  transition: 0.1s ease-in-out;
  border-color: rgba(41, 171, 226, 1);
  color: rgba(41, 171, 226, 1);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  cursor: pointer;
}

footer {
  position: fixed;
  height: 35px;
  bottom: 2px;
  left: 0px;
  right: 0px;
  gap: 24px;
  opacity: 0px;
  justify-content: center;
  display: flex;
  flex-direction: row;
  margin-bottom: 10px;
  }

footer a {
  margin: 0px;
  color: rgba(168, 168, 168, 1);
  font-size: 16px;
  line-height: 19.2px;
  font-weight: 400;
  text-decoration: none;
  display: flex;
  align-items: center;
}

footer a:hover {
  cursor: pointer;
  color: rgba(41, 171, 226, 1);
  font-weight: 700;
}

.d-none {
  display: none;
}
/* Registration(Open with sign Up)*/
.registration-Ctn {
  display: flex;
  flex-direction: column;
  width: 598px;
  height: 630px;
  border-radius: 30px;
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0px 0px 14px 3px rgba(0, 0, 0, 0.04);
  margin-left: 430px;
}

.regiCtn {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 40px;
}

.regiCtn:hover img {
  cursor: pointer;
  -webkit-transform: scale(1.1);
}

.h2Ctn {
  width: 315px;
  height: 89px;
  margin-left: 90px;
}

.regiCtn h2 {
  font-size: 61px;
  line-height: 73.2px;
  font-weight: 700;
  margin: 0px;
}

.regiCtn img {
  width: 32px;
  height: 32px;
  margin-bottom: 20px;
  margin-right: 25px;
  margin-left: 40px;
}

.underline-Ctn2 {
  border: 2px solid rgba(41, 171, 226, 1);
  margin-right: 222px;
  margin-left: 222px;
}

.CtnInput2 {
  display: flex;
  justify-content: center;
  margin-top: 35px;
}

.formRegi {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.remember-Ctn2 {
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  gap: 10px;
}

.remember-Ctn2 img:hover,
.remember-Ctn img:hover {
  filter: drop-shadow(0px 0px 5px rgb(182, 182, 182));
  text-decoration: underline;
  font-size: 20px;
  cursor: pointer;
}

.remember-Ctn2 img.hover,
.remember-Ctn img.hover {
  opacity: 0;
}

.remember-Ctn2 img.hover + img,
.remember-Ctn2 img.hover + img {
  opacity: 1;
}

.remember-Ctn2 em {
  color: #29abe2;
}

.remember-Ctn2 em:hover {
  text-decoration: underline;
  font-weight: 500;
  color: #059ddf;
}

.remember-Ctn2 p {
  color: rgba(168, 168, 168, 1);
  font-size: 16px;
  line-height: 19.2px;
  font-weight: 400;
}

.remember-Ctn2 a {
  text-decoration: none;
  color: rgba(41, 171, 226, 1);
  font-weight: 400;
}

.remember-Ctn2 a:hover {
  text-decoration: underline;
  font-weight: bold;
}

.SignUpButton {
  width: 126px;
  height: 55px;
  border-radius: 8px;
  border: none;
  background-color: rgba(42, 54, 71, 1);
  font-weight: 700;
  font-size: 21px;
  line-height: 25.2px;
  color: rgba(255, 255, 255, 1);
}

.SignUpButton-Ctn {
  display: flex;
  justify-content: center;
}

/* Keyframe-Animation für das Hochgleiten */
@keyframes slideUp {
  0% {
    transform: translateY(100vh); /* Startet von ganz unten am Bildschirmrand */
    opacity: 0; /* Vollständig transparent */
  }
  100% {
    transform: translateY(0); /* Endet in der Mitte */
    opacity: 1; /* Vollständig sichtbar */
  }
}

/* Container für die Alerts */
.singUp-Alert {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(29, 29, 29, 0.267);
  display: none; /* Standardmäßig ausgeblendet */
  justify-content: center;
  align-items: center;
  z-index: 1000; /* Stellt sicher, dass der Alert über anderen Inhalten angezeigt wird */
}

/* Gemeinsame Stile für alle Alerts */
.AlertSignUp,
.Emailexists,
.Nameexists,
.FailedtoSingUp,
.PrivacyPolicy,
.EmailandPassword,
.UserDontExist,
.InvalidEmail{
  width: 312px;
  height: 74px;
  border-radius: 20px;
  padding: 0px 25px 0px 25px;
  background-color: #2a3647;
  box-shadow: 0px 0px 4px 0px #00000026;
  display: none; /* Standardmäßig ausgeblendet */
  align-items: center;
  justify-content: center;
  animation: slideUp 0.2s forwards; /* Animation hinzufügen */
}

/* Gemeinsame Stile für den Text in den Alerts */
.AlertSignUp p,
.Emailexists p,
.Nameexists p,
.FailedtoSingUp p,
.PrivacyPolicy p,
.EmailandPassword p,
.UserDontExist p,
.InvalidEmail p{
  font-size: 20px;
  line-height: 24px;
  font-weight: 400;
  color: #ffffff;
  text-align: center;
}

/* Keyframes for logo movement */
@keyframes logoMove {
  0% {
    transform: translate(-50%, -50%) scale(1);
    width: 200px; /* Start with a larger size */
    height: 243.94px; /* Adjust height proportionally */
  }
  100% {
    transform: translate(0, 0) scale(1);
    width: 100.03px;
    height: 121.97px;
  }
}

/* Keyframes for background fade out */
@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

/* Initial styles for the logo in loading screen */
.loadingScreen img {
  width: 200px; /* Start with a larger size */
  height: 243.94px; /* Adjust height proportionally */
  opacity: 1;
  position: absolute; /* Ensure the logo can move */
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
}

/* Initial styles for the loading screen */
.loadingScreen {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: rgba(246, 247, 248, 1);
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000; /* Ensure the loading screen is on top */
}

.logo-move {
  animation: logoMove 0.5s forwards; /* Adjust the animation duration for smoothness */
}

/* Final logo styles */
.logo-Ctn img {
  width: 100.03px;
  height: 121.97px;
  margin-top: 80px;
  margin-left: 77px;
  opacity: 0; /* Start hidden */
}

/* Container style */
.top-Ctn {
  display: flex;
  height: 205.969px;
}

/* Content fixed size */
.content {
  width: 100%;           /* Verwende 100%, damit sich die Breite an den Bildschirm anpasst */
  max-width: 1440px;      /* Setze eine maximale Breite für größere Bildschirme */
  height: auto;           /* Lass die Höhe dynamisch sein, damit sie sich dem Inhalt anpasst */
  position: fixed;     /* Entferne fixed, um es beweglich zu machen */
}

/*Responsive*/
@media(max-width: 1324px){
  .signUp-Ctn{
    margin-left: auto
  }

  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
 }

 .registration-Ctn{
  margin-left: auto;
  margin-right: auto;
 }

}
  
@media(max-width: 1200px){
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
 }
}

@media(max-width:1100px){
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
    }
  }


@media(max-width:1000px){
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
    }

    .regiCtn h2{
      font-size: 50px;
    }

    .regiCtn{
      margin-top: 5px;
    }

    .underline-Ctn2{
      margin-right: 200px;
      margin-left: 170px;
      margin-top: -15px;
    }

    .input-Ctn2{
      height: 50px;
    }

    .SignUpButton-Ctn{
      margin-top: -20px;
      margin-bottom: 10px;
    }

    .CtnInput2{
      margin-top: 15px;
    }

    .remember-Ctn2{
      margin-top: -25px;
    }

    .registration-Ctn{
      height: 500px;
      width: 500px;
      margin-top: 50px;
    }

    .h2Ctn{
      margin-left: 50px;
    }
  

  .signUp-Ctn{
    display: none;
  }
    
  .signUp-Ctn2{
    display: flex;
      align-items: center;
      height: 50px;
      margin-top: 67px;
      gap: 35px;
      opacity: 0px;
      justify-content: center;
      margin-left: 0px;
      width: 100%;
      margin-top: 170px;
  }

}

@media(max-width:550px){
  .regiCtn h2{
    font-size: 35px;
  }

  .regiCtn{
    margin-top: 5px;
  }

  .underline-Ctn2{
    margin-right: 150px;
    margin-left: 170px;
    margin-top: -20px;
  }

  .input-Ctn2{
    height: 50px;
    width: 322px;
  }

  .SignUpButton-Ctn{
    margin-top: -20px;
    margin-bottom: 10px;
  }

  .CtnInput2{
    margin-top: 15px;
  }

  .remember-Ctn2{
    margin-top: -25px;
  }

  .registration-Ctn{
    height: 500px;
    width: 400px;
    margin-top: 50px;
  }

  .h2Ctn{
    margin-left: 50px;
  }
}

@media(max-width: 450px){
  .regiCtn h2{
    font-size: 40px;
  }
  

  .regiCtn{
    margin-top: 5px;
  }

  .underline-Ctn2{
    margin-right: 100px;
    margin-left: 100px;
    margin-top: -20px;
  }

  .input-Ctn2{
    height: 40px;
    width: 250px;
  }

  
  .SignUpButton-Ctn{
    margin-top: -20px;
    margin-bottom: 10px;
  }

  .CtnInput2{
    margin-top: 15px;
  }

  .remember-Ctn2{
    margin-top: -2px;
  }

  .registration-Ctn{
    height: 480px;
    width: 300px;
    margin-top: 50px;
  }

  .h2Ctn{
    margin-left: 0px;
  }

  .regiCtn img{
    margin-left: 20px;

  }
}

@media(min-width: 1000px){
  
  .signUp-Ctn2{
    display: none;
  }
}

@media(max-width: 970px){
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
    }
  
  footer{
    margin: auto;
    margin-bottom: 10px;
  }
}

@media(max-width: 900px) {
   .form-Ctn{
    margin-left: auto;
        margin-right: auto;
    }
   }

  
@media(max-width: 820px) {
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
   }
  }

@media(max-width: 750px) {
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
 }
}

  
@media(max-width: 680px) {
  .signUp-Ctn2{
    margin-top: 200px;
  }
  
  .form-Ctn{
    margin-left: auto;
    margin-right: auto;
 }
  
 .form-Ctn{
  width: 396px;
  height: 515px;
  border-radius: 30px;
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0px 0px 14px 3px rgba(0, 0, 0, 0.04);
  }

  .LogIn-Ctn{
    width: 315px;
    height: 73px;
    text-align: center;
    gap: 16px;
  }

  h1{
    font-size: 55px;
    font-weight: 700;
    line-height: 56.4px;
    text-align: center;
    gap: 16px;
    margin-bottom: 16px;
    }

  .underline-Ctn{
    border: 2px solid rgba(41, 171, 226, 1);
    margin-right: 110px;
    margin-left: 110px;
  }
 /* Input-Field*/
  .CtnInput{
    margin-top: 80px;
    display: flex;
    flex-direction: column;
    width: 364px;
    height: 192px;
    opacity: 0px;
   }

  .input-Ctn{
    display: flex;
    justify-content: center;
    width: 350px;
    height: 48px;
    font-size: 20px;
    line-height: 24px;
    border: 1px solid rgba(209, 209, 209, 1);
    border-radius: 10px;
    flex-direction: row;
    align-items: center; 
    gap: 26px;
  }

   .input-Ctn img{
    width: 24px;
    height: 24px;
    margin-right: 25px;
  }

  .input-Ctn:active{
    border-color: 
    rgba(41, 171, 226, 1);
    cursor: pointer;
  }
  
  .input{
    width: 100%;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    font-size: 20px;
    outline: none;
    margin-left: 15px;
  }

  .input:hover
  .remember-Ctn img{
    cursor: pointer;
  }

  ::placeholder{
      font-size: 20px;
      line-height: 24px;
      font-weight: 400;
      color: rgba(209, 209, 209, 1);
      padding: 12px 12px;
    }

 .form{
  width: 364px;
  display: flex;
  flex-direction: column;
  gap: 26px;
  align-items: center;
 }

 .remember-Ctn{
   display: flex;
   margin-right: 180px;
   gap: 5px;
 }

 .remember-Ctn p{
  font-weight: 400;
  font-size: 16px;
  line-height: 19.2px;
}

/* Button sign In/ Guest Log In*/
.signupBtnCtn{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  flex-direction: column;
}

.logBtn{
  width: 180px;
  height: 51px;
  border-radius: 8px;
  background-color: rgba(42, 54, 71, 1);
  font-size: 16px;
  line-height: 19.2px;
  font-weight: 700;
  color: rgba(255, 255, 255, 1);
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
}

.logBtn:active,
.SignUpButton:active{
  transition:  0.1s ease-in-out;
   background-color: 
   rgba(41, 171, 226, 1);
   box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
   cursor: pointer;
}

.guestBtn{
  width: 180px;
  height: 51px;
  border-radius: 8px;
  border: 1px solid rgba(42, 54, 71, 1);
  color: rgba(42, 54, 71, 1);
  background-color: rgba(255, 255, 255, 1);
  font-size: 16px;
  line-height: 19.2px;
  font-weight: 700;
 
}

.guestBtn:active{
  border-color: rgba(41, 171, 226, 1);
  color: rgba(41, 171, 226, 1);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); 
  cursor: pointer;
}

.logo-Ctn img {
  margin-left: 40px;
  opacity: 0;
 }
}


@media(max-width: 400px){
  .signUp-Ctn2{
    margin-top: 250px;
  }
  
  .top-Ctn{
    height: 150px;
  }
  
  .form-Ctn {
    margin-top: 10px;
    width: 290px;
    height: 480px;
    
  }

  h1 {
    margin-bottom: 0px;
    font-size: 40px;
    margin-top: 10px;
    
 }

 .CtnInput {
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  width: 364px;
  height: 192px;
  opacity: 0px;
}

.input-Ctn {
  width: 260px;
  height: 38px;
  }

.remember-Ctn {
    margin-left: 0px;
    margin-right: 0px;
}

.logBtn {
  width: 150px;
  height: 51px;
}

.guestBtn {
  width: 150px;
  height: 51px;
}

.logo-Ctn img {
  
  width: 80px;
  height: 90px;
  margin-top: 20px;
  margin-left: 20px;
}
}

@media(max-width: 380px){
  .AlertSignUp,
  .Emailexists,
  .Nameexists,
  .FailedtoSingUp,
  .PrivacyPolicy,
  .EmailandPassword,
  .UserDontExist {
  width: 250px;
  }
}


@media(max-width:412px) and (max-height: 915px){
  .form-Ctn{
    margin-top: 15px;
  }
}

@media(max-width:414px) and (max-height: 896px){
  .form-Ctn{
    margin-top: 15px;
  }
}
 
@media (max-width: 360px) and (max-height: 740px) {
 .signUp-Ctn2{
  margin-top: 200px;
 }

 .form-Ctn{
  margin-top: -20px;
 }
  
}

@media(max-height: 667px){
 

  footer{
    top: 650px;
  }

  h1{
    margin-top: 10px;
  }

  .form {
    margin-top: -30px;
}

.remember-Ctn {
 margin-top: -20px;
}

.form-Ctn{
  height: 400px;
  margin-top: -30px;
}

.signupBtnCtn{
  margin-top: -20px;
}

.signUp-Ctn2{
  margin-top: 130px;
}

.registration-Ctn{
  margin-top: -30px;
}

::placeholder {
  font-size: 16px;
  padding: 2px 2px;
}

 .input{
  font-size: 16px;
}
}


  



